#ifndef __SYSLOG_H__
#define __SYSLOG_H__
#include "common_config.h"

enum {
	SYSLOG_EMERGENCY = 0,
	SYSLOG_ALERT,
	SYSLOG_CRITICAL,
	SYSLOG_ERROR,
	SYSLOG_WARNING,
	SYSLOG_NOTICE,
	SYSLOG_INFORMATIONAL,
	SYSLOG_DEBUG,
};
#ifdef SYSLOG_ENABLE
#include <stdint.h>

void openlog(void);
void syslog(uint8_t severity, char *fmt, ...);
void syslog_str(uint8_t severity, char *msg);
#else // defined(HARDWARE_BT6711) && !defined(BT6702_SERVICE)
#define openlog()
#define syslog(...)
#define syslog_str(...)
#endif // defined(HARDWARE_BT6711) && !defined(BT6702_SERVICE)
#endif // __SYSLOG_H__
